GNU Radio's GSM Package: gr::gsm::extract_system_info Class Reference

GNU Radio's GSM Package

Public Types | Public Member Functions | Static Public Member Functions | List of all members
gr::gsm::extract_system_info Class Referenceabstract

<+description of block+> More...

`#include <extract_system_info.h>`

Inheritance diagram for gr::gsm::extract_system_info:

## Public Types
typedef boost::shared_ptr< extract_system_info > | sptr

## Public Member Functions
virtual std::vector< int > | get_chans ()=0
virtual std::vector< int > | get_pwrs ()=0
virtual std::vector< int > | get_lac ()=0
virtual std::vector< int > | get_cell_id ()=0
virtual std::vector< int > | get_mcc ()=0
virtual std::vector< int > | get_mnc ()=0
virtual std::vector< int > | get_ccch_conf ()=0
virtual std::vector< int > | get_cell_arfcns (int chan_id)=0
virtual std::vector< int > | get_neighbours (int chan_id)=0
virtual void | reset ()=0

## Static Public Member Functions
static sptr | make ()
| Return a shared_ptr to a new instance of gsm::extract_system_info. More...

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## ◆ sptr

typedef boost::shared_ptr<extract_system_info> gr::gsm::extract_system_info::sptr

## Member Function Documentation

## ◆ get_ccch_conf()

virtual std::vector<int> gr::gsm::extract_system_info::get_ccch_conf | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_cell_arfcns()

virtual std::vector<int> gr::gsm::extract_system_info::get_cell_arfcns | ( | int | chan_id | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_cell_id()

virtual std::vector<int> gr::gsm::extract_system_info::get_cell_id | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_chans()

virtual std::vector<int> gr::gsm::extract_system_info::get_chans | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_lac()

virtual std::vector<int> gr::gsm::extract_system_info::get_lac | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_mcc()

virtual std::vector<int> gr::gsm::extract_system_info::get_mcc | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_mnc()

virtual std::vector<int> gr::gsm::extract_system_info::get_mnc | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_neighbours()

virtual std::vector<int> gr::gsm::extract_system_info::get_neighbours | ( | int | chan_id | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ get_pwrs()

virtual std::vector<int> gr::gsm::extract_system_info::get_pwrs | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

## ◆ make()

static sptr gr::gsm::extract_system_info::make | ( |  | ) |
| static

Return a shared_ptr to a new instance of gsm::extract_system_info.

To avoid accidental use of raw pointers, gsm::extract_system_info's constructor is in a private implementation class. gsm::extract_system_info::make is the public interface for creating new instances.

## ◆ reset()

virtual void gr::gsm::extract_system_info::reset | ( |  | ) |
| pure virtual

Implemented in gr::gsm::extract_system_info_impl.

The documentation for this class was generated from the following file:

- extract_system_info.h